<?php
/*
 * Plugin Name: WooCommerce PrimePayments Gateway
 * Description: Take payments on your store with PrimePayments
 * Author: PrimePayments
 * Version: 1.0.0
 * Text Domain: primepayments
 */

defined('ABSPATH') || exit;

include_once 'includes/PaymentGateway.php';

/* This function and filter append "setting" immediately after the "admin menu remover" plugin activation  */
add_filter( 'plugin_action_links', 'primepayments_plugin_action_links', 10, 2 );
function primepayments_plugin_action_links( $links, $file ) {
	static $this_plugin;

	if ( ! $this_plugin ) {
		$this_plugin = plugin_basename( __FILE__ );
	}

	// check to make sure we are on the correct plugin
	if ( $file == $this_plugin ) {
		// the anchor tag and href to the URL we want. For a "Settings" link, this needs to be the url of your settings page
		$settings_link = '<a href="' . get_bloginfo( 'wpurl' ) . '/wp-admin/admin.php?page=wc-settings&tab=checkout&section=primepayments">' . __( 'Settings', 'primepayments' ) . '</a>';
		// add the link to the list
		array_unshift( $links, $settings_link );
	}

	return $links;
}

function primepayments_init() {
    $plugin_rel_path = basename( dirname( __FILE__ ) ) . '/languages';
    load_plugin_textdomain( 'primepayments', false, $plugin_rel_path );
}
add_action('plugins_loaded', 'primepayments_init');